#include <avr/io.h>
#include "MCUFRIEND_kbv.h"
#include "usart.h"
#include "touch.h"

int main(void){
	usartInit();
	usartInitPrintf();
	MCUFRIEND_kbv tft;
	uint16_t id = tft.readID();
	printf("ID=%X\r\n", id);
	tft.begin(id);
	tft.fillScreen(TFT_WHITE);
	tft.fillRect(10, 260, 50, 50, TFT_GREEN);
	tft.fillRect(95, 260, 50, 50, TFT_RED);
	tft.fillRect(180, 260, 50, 50, TFT_BLACK);
	uint16_t drawColor = TFT_BLACK;
	while (1) {
		uint16_t x, y;
		if (readTouch(&x, &y)) {
			printf("X=%d Y=%d\r\n", x, y);
			if (y < 260) {
				tft.fillCircle(x, y, 2, drawColor);
			} else {
				if (x > 10 && x < 60) drawColor = TFT_GREEN;
				if (x > 95 && x < 145) drawColor = TFT_RED;
				if (x > 180 && x < 230) drawColor = TFT_BLACK;
			}
		}
	}
}
